version: "3.8"

services:
  arangodb:
    image: arangodb:3.12.4
    restart: unless-stopped
    ports:
      - "8529:8529"
    environment:
      - ARANGO_ROOT_PASSWORD=${ARANGO_PASSWORD}
    volumes:
      - data:/var/lib/arangodb3
    networks:
      dokploy-network:
        aliases:
          - arangodb

volumes:
  data: {}

networks:
  dokploy-network:
    external: true
